Package org.eclipse.graphiti.pattern.mapping.data

# Interface IDataMapping

All Known Subinterfaces:
  `IImageDataMapping`, `ILabelDataMapping`, `ITextDataMapping`

All Known Implementing Classes:
  `DataMapping`, `ImageDataMapping`, `LabelDataMapping`, `TextDataMapping`

public interface IDataMapping
The Interface IDataMapping.

## Method Summary

Modifier and Type
Method
Description
`String`
`getUpdateWarning(PictogramLink pictogramLink)`
Gets the update warning.

## Method Details

### getUpdateWarning

String getUpdateWarning(PictogramLink pictogramLink)
Gets the update warning.

Parameters:
  `pictogramLink` - the pictogram link
Returns:
  the update warning